package com.flossom.common.core.domain.req;

import com.flossom.common.core.annotation.Excel;
import com.flossom.common.core.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.util.List;

/**
 * 仪器标签关联请求对象
 *
 * @author flossom
 * @date 2024-01-24
 */
public class WxInstrumentTagReq {

    /**
     * 仪器ID
     */
    @NotNull(message = "请选择仪器")
    private Long instrumentId;

    /**
     * 标签id
     */
    @NotNull(message = "请选择标签")
    @Size(min = 1, message = "请选择标签")
    private List<Long> tagIdList;

    /**
     * 标签类型：1小程序标签 2外部标签
     */
    @NotNull(message = "请输入标签类型")
    private Integer type;

    public void setInstrumentId(Long instrumentId) {
        this.instrumentId = instrumentId;
    }

    public Long getInstrumentId() {
        return instrumentId;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public Integer getType() {
        return type;
    }

    public List<Long> getTagIdList() {
        return tagIdList;
    }

    public void setTagIdList(List<Long> tagIdList) {
        this.tagIdList = tagIdList;
    }
}
